
VSN_TornadoIDS =  {
      
		Name 			= 'VSN_TornadoIDS',--AG
		DisplayName		= _('VSN_TornadoIDS'),--AG
        Picture 		= "Tornado_IDS.png",
        Rate 			= "50",
        Shape			= "VSN_TornadoIDS",		
        WorldID			=  WSTYPE_PLACEHOLDER, 
        
	shape_table_data 	= 
	{
		{
			file  	 	= 'VSN_TornadoIDS';--AG
			life  	 	= 20; -- lifebar
			vis   	 	= 3; -- visibility gain.
			desrt    	= 'tornado-oblomok'; -- Name of destroyed object file name
			fire  	 	= { 300, 2}; -- Fire on the ground after destoyed: 300sec 2m
			username	= 'VSN_TornadoIDS';--AG
			index       =  WSTYPE_PLACEHOLDER;
			classname   = "lLandPlane";
			positioning = "BYNORMAL";
		},
		{
			name  		= "tornado-oblomok";
			file  		= "tornado-oblomok";
			fire  		= { 240, 2};
		},

	},
	
	LandRWCategories = 
        {
        [1] = 
        {
			Name = "AircraftCarrier",
        },
        [2] = 
        {
            Name = "AircraftCarrier With Catapult",
        }, 
        [3] = 
        {
            Name = "AircraftCarrier With Tramplin",
        }, 
    }, -- end of LandRWCategories
        TakeOffRWCategories = 
        {
        [1] = 
        {
			Name = "AircraftCarrier",
        },
        [2] = 
        {
            Name = "AircraftCarrier With Catapult",
        }, 
        [3] = 
        {
            Name = "AircraftCarrier With Tramplin",
        }, 
    }, -- end of TakeOffRWCategories
	
	mapclasskey 		= "P0091000027",
	attribute  			= {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Fighters", "Refuelable",},--AG
	Categories= {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},
	
		M_empty						=	13380,	-- kg  with pilot and nose load, F15
		M_nominal					=	19000,	-- kg (Empty Plus Full Internal Fuel)
		M_max						=	30845,	-- kg (Maximum Take Off Weight)
		M_fuel_max					=	6103,	-- kg (Internal Fuel Only)
		H_max						=	18300,	-- m  (Maximum Operational Ceiling)
		average_fuel_consumption	=	0.271,
		CAS_min						=	58,		-- Minimum CAS speed (m/s) (for AI)
		V_opt						=	220,	-- Cruise speed (m/s) (for AI)
		V_take_off					=	61,		-- Take off speed in m/s (for AI)
		V_land						=	71,		-- Land speed in m/s (for AI)
		has_afteburner				=	true,
		has_speedbrake				=	true,
		radar_can_see_ground		=	true,

		nose_gear_pos 				                = {3.821,	-2.107,	0},   -- nosegear coord 
	    nose_gear_amortizer_direct_stroke   		=  0,  -- down from nose_gear_pos !!!
	    nose_gear_amortizer_reversal_stroke  		=  0,  -- up 
	    nose_gear_amortizer_normal_weight_stroke 	=  0,   -- down from main_gear_pos
	    nose_gear_wheel_diameter 	                = 0.754, -- in m
	
	    main_gear_pos 						 	    = {-1.323,	-2.107,	1.541}, -- main gear coords 
	    main_gear_amortizer_direct_stroke	 	    =   0, --  down from main_gear_pos !!!
	    main_gear_amortizer_reversal_stroke  	    = 	0, --  up 
	    main_gear_amortizer_normal_weight_stroke    =   0,-- down from main_gear_pos
	    main_gear_wheel_diameter 				    =   0.972, -- in m

		AOA_take_off				=	0.16,	-- AoA in take off (for AI)
		stores_number				=	12,
		bank_angle_max				=	60,		-- Max bank angle (for AI)
		Ny_min						=	-3,		-- Min G (for AI)
		Ny_max						=	8,		-- Max G (for AI)
		tand_gear_max				=	1.732,	--XX  FA18 3.73, 
		V_max_sea_level				=	403,	-- Max speed at sea level in m/s (for AI)
		V_max_h						=	736.11,	-- Max speed at max altitude in m/s (for AI)
		wing_area					=	56.5,	-- wing area in m2
		thrust_sum_max				=	13347,	-- thrust in kgf (64.3 kN)
		thrust_sum_ab				=	21952,	-- thrust in kgf (95.1 kN)
		Vy_max						=	275,	-- Max climb speed in m/s (for AI)
		flaps_maneuver				=	1,
		Mach_max					=	2.5,	-- Max speed in Mach (for AI)
		range						=	2540,	-- Max range in km (for AI)
		RCS							=	5,		-- Radar Cross Section m2
		Ny_max_e					=	8,		-- Max G (for AI)
		detection_range_max			=	250,
		IR_emission_coeff			=	0.91,	-- Normal engine -- IR_emission_coeff = 1 is Su-27 without afterburner. It is reference.
		IR_emission_coeff_ab		=	4,		-- With afterburner
		tanker_type					=	2,-- F14=2/S33=4/M29=0/S27=0/F15=1/F16=1/To=0/F18=2/A10A=1/M29K=4/M2000=2/F4=0/F5=0/
		wing_span					=	13.05,
		wing_type 					= 	1,-- FIXED_WING = 0/VARIABLE_GEOMETRY = 1/FOLDED_WING = 2/ARIABLE_GEOMETRY_FOLDED = 3
		length						=	19.43,
		height						=	5.63,
		crew_size					=	1,
		engines_count				=	2,
		wing_tip_pos 				= 	{-4.366,	0.45,	6.357},-- wingtip coords for visual effects
		engines_nozzles = 
		{
			[1] = 
			{
				pos = 	{-6.45,	0.099,	-0.483},
				elevation	=	0,
				diameter	=	0.818,
				exhaust_length_ab	=	4,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.1, 
			}, -- end of [1]
			[2] = 
			{
				pos = 	{-6.45,	0.099,	0.483},
				elevation	=	0,
				diameter	=	0.818,
				exhaust_length_ab	=	4,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.1, 
			}, -- end of [2]
		}, -- end of engines_nozzles
		crew_members = 
		{
			[1] = 
			{
				ejection_seat_name	=	9,
				drop_canopy_name	=	39,
				pos = 	{3.34,	1.102,	0},
			}, -- end of [1]
			[2] = 
			{
				ejection_seat_name	=	9,
				drop_canopy_name	=	0,
				pos = 	{1.935,	1.102,	0},
			}, -- end of [2]
		}, -- end of crew_members
		brakeshute_name	=	0,
		is_tanker	=	false,
		air_refuel_receptacle_pos = 	{6.731,	0.825,	0.492},
		fires_pos = 
		{
			[1] = 	{-0.095,	-0.798,	0},
			[2] = 	{-1.4,	0.721,	0.797},
			[3] = 	{-0.825,	0.738,	-0.683},
			[4] = 	{-0.82,	0.265,	2.774},
			[5] = 	{-0.82,	0.265,	-2.774},
			[6] = 	{-0.82,	0.255,	4.274},
			[7] = 	{-0.82,	0.255,	-4.274},
			[8] = 	{-5.432,	0.099,	0.483},
			[9] = 	{-5.432,	0.099,	-0.483},
			[10] = 	{-0.14,	0.67,	1.45},
			[11] = 	{-0.14,	0.23,	-1.45},
		}, -- end of fires_pos
		chaff_flare_dispenser = 
		{
			[1] = 
			{
				dir = 	{0,	-1,	0},
				pos = 	{-1.185,	-1.728,	-0.878},
			}, -- end of [1]
			[2] = 
			{
				dir = 	{0,	-1,	0},
				pos = 	{-1.185,	-1.728,	0.878},
			}, -- end of [2]
		}, -- end of chaff_flare_dispenser

        -- Countermeasures
passivCounterm 		= {
CMDS_Edit 			= true,
SingleChargeTotal 	= 180,
chaff 				= {default = 90, increment = 30, chargeSz = 1},
flare 				= {default = 45, increment = 15, chargeSz = 2}
 },
	
    CanopyGeometry = makeAirplaneCanopyGeometry(LOOK_AVERAGE, LOOK_AVERAGE, LOOK_AVERAGE),

Sensors = {
RADAR 	= "AN/APG-73",
RWR 	= "Abstract RWR"
},
Countermeasures = {
ECM 			= "AN/ALQ-165"
},
	Failures = {
			{ id = 'asc', 		label = _('ASC'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'autopilot', label = _('AUTOPILOT'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro',  	label = _('HYDRO'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'l_engine',  label = _('L-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'r_engine',  label = _('R-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'radar',  	label = _('RADAR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
--			{ id = 'eos',  		label = _('EOS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
--			{ id = 'helmet',  	label = _('HELMET'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mlws',  	label = _('MLWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'rws',  		label = _('RWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ecm',   	label = _('ECM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hud',  		label = _('HUD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mfd',  		label = _('MFD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },		
	},
	HumanRadio = {
		frequency 		= 127.5,  -- Radio Freq
		editable 		= true,
		minFrequency	= 100.000,
		maxFrequency 	= 156.000,
		modulation 		= MODULATION_AM
	},

Guns =  {
          gun_mount("BK_27", { count = 180 },{muzzle_pos = {5.834, -0.609, -0.646}}), 
          gun_mount("BK_27", { count = 180 },{muzzle_pos = {5.834, -0.609,  0.646}})
		},  
-- eine (ADV und GR.4) oder zwei (IDS und GR.1(B)) 27-mm-Revolver-Maschinenkanone Mauser BK-27. Die Maschinenkanone des Tornado verfgt ber eine umschaltbare Kadenz von 1000 oder 1700 Schuss pro Minute und wird gegen Luft- und Bodenziele eingesetzt. Pro Kanone knnen 180 Schuss gegurteter Munition unterschiedlicher Wirkungsweise mitgefhrt werden

pylons_enumeration = {1, 11, 10, 2, 3, 9, 4, 8, 5, 7, 6},

	Pylons =     {

        pylon(1, 0, -3.745000, -0.316000, -3.350000,
            {
				use_full_connector_position=true, connector = "Pylon1",
				FiX = 90,
            },
            {
                { CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                { CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{ CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
            }
        ),
        pylon(2, 0, -1.280000, -0.486000, -2.018000,
            {
				use_full_connector_position=true, connector = "Pylon2",
				FiX = 90,
            },
            {
                { CLSID = "{EF124821-F9BB-4314-A153-E0E2FE1162C4}" },--TORNADO Fuel tank
                { CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
            }
        ),
        pylon(3, 1, -0.993000, 0.013000, -1.688000,
            {
				use_full_connector_position=true, connector = "Pylon3",
				FiX = 90,
            },
            {
				{ CLSID = "{AIS_ASQ_T50}", attach_point_position = {0.40,  0.0,  0.0}},			-- ACMI pod
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
            }
        ),
        pylon(4, 1, -0.246000, -0.997000, -0.547000,
            {
				use_full_connector_position=true, connector = "Pylon4",
				FiX = 90,
            },
            {
                { CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
			}
        ),
        pylon(5, 1, 1.436000, -0.997000, -0.546000,
            {
				use_full_connector_position=true, connector = "Pylon5",
				FiX = 90,
            },
            {
                { CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
            }
        ),
			
        pylon(6, 1, -1.100000, -0.997000, 0.546000,
            {
				use_full_connector_position=true, connector = "Pylon7",
				FiX = 90,
            },
            {
			    { CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
				{ CLSID = "{0519A264-0AB6-11d6-9193-00A0249B6F00}",attach_point_position = {0, 0.65 ,0.5 } },-- ELINT
            }
        ),
        pylon(7, 1, 1.436000, -0.997000, 0.546000,
            {
				use_full_connector_position=true, connector = "Pylon8",
				FiX = 90,
            },
            {
			    { CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
            }
        ),
        pylon(8, 1, -0.246000, -0.997000, 0.547000,
            {
				use_full_connector_position=true, connector = "Pylon9",
				FiX = 90,
            },
            {
                { CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
            }
        ),
        pylon(9, 1, -0.993000, 0.013000, 1.688000,
            {
				use_full_connector_position=true, connector = "Pylon10",
				FiX = 90,
            },
            {
				{ CLSID = "{AIS_ASQ_T50}", attach_point_position = {0.40,  0.0,  0.0}},			-- ACMI pod
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
            }
        ),
        pylon(10, 0, -1.280000, -0.486000, 2.018000,
            {
				use_full_connector_position=true, connector = "Pylon11",
				FiX = 90,
            },
            {
				{ CLSID = "{EF124821-F9BB-4314-A153-E0E2FE1162C4}" },--TORNADO Fuel tank
                { CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" },--AIM-9M
                { CLSID = "{E6747967-B1F0-4C77-977B-AB2E6EB0C102}" },--ALARM
				{ CLSID = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}" },--AGM-88C
                { CLSID = "{7210496B-7B81-4B52-80D6-8529ECF847CD}" },--Kormoran
				{CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },--BOZ-107
                {CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },--Sky-Shadow ECM Pod
				{CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    {CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
				{CLSID = "{RBK_500U_OAB_2_5RT}"},					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_500U_OAB_2_5RT}" },					-- RBK-500U OAB-2.5RT
				{CLSID = "{RBK_250_275_AO_1SCH}"},					-- RBK-250-275 AO-1SCH
				{CLSID = "{RBK_250_275_AO_1SCH}" },					-- RBK-250-275 AO-1SCh
				{CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}"},-- B-13L - 5 S-13 OF
				{CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}"},-- FAB-100
				{CLSID = "{F789E86A-EE2E-4E6B-B81E-D5E5F903B6ED}"},-- APU-8 - 8 9A4172 Vikhr
				{CLSID = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}"},-- B-8M1 - 20 S-8KOM
				{CLSID = "{E92CBFE5-C153-11d8-9897-000476191836}"},-- SPPU-22-1 Gun pod
				{CLSID = "{E2C426E3-8B10-4E09-B733-9CDC26520F48}"},-- KAB-500Kr
				{CLSID = "{D5435F26-F120-4FA3-9867-34ACE562EF1B}"},-- RBK-500 PTAB-10-5
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{D4A8D9B9-5C45-42e7-BBD2-0E54F8308432}"},-- Kh-29L
				{CLSID = "{CBC29BFE-3D24-4C64-B81D-941239D12249}"},-- R-73
				{CLSID = "{BD289E34-DF84-4C5E-9220-4B14C346E79D}"},-- BetAB-500ShP
				{CLSID = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}"},-- Kh-58U
				{CLSID = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}"},-- Mercury LLTV Pod
				{CLSID = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}"},-- S-25 OFM
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}"},-- KMGU-2 - 96 AO-2.5RT
				{CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}"},-- KMGU-2 - 96 PTAB-2.5KO
				{CLSID = "{7AEC222D-C523-425e-B714-719C0D1EB14D}"},-- RBK-500 PTAB-1M
				{CLSID = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}"},-- Kh-25ML
				{CLSID = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}"},-- Kh-25MPU
				{CLSID = "{637334E4-AB5A-47C0-83A6-51B7F1DF3CD5}"},-- UB-32A - 32 S-5KO
				{CLSID = "{601C99F7-9AF3-4ed7-A565-F8B8EC0D7AAC}"},-- Kh-29T
				{CLSID = "{4203753F-8198-4E85-9924-6F8FF679F9FF}"},-- RBK-250 PTAB-2.5M
				{CLSID = "{3DFB7320-AB0E-11d7-9897-000476191836}"},-- B-8M1 - 20 S-8TsM
				{CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}"},-- FAB-250
				{CLSID = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}"},-- S-24B
				{CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}"},-- FAB-500 M62
				{CLSID = "{35B698AC-9FEF-4EC4-AD29-484A0085F62B}"},-- BetAB-500
				{CLSID = "{29A828E2-C6BB-11d8-9897-000476191836}"},-- MBD-2-67U - 4 FAB-100
				{CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}"},-- SAB-100
				{CLSID = "{0180F983-C14A-11d8-9897-000476191836}"},-- S-25L
				{CLSID = "B-8M1 - 20 S-8OFP2"},-- B-8M1 - 20 S-8OFP2
            }
        ),
        pylon(11, 0, -3.745000, -0.316000, 3.350000,
            {
				use_full_connector_position=true, connector = "Pylon12",
				FiX = 90,
            },
            {
                { CLSID = "{8C3F26A1-FA0F-11d5-9190-00A0249B6F00}" },
                { CLSID = "{8C3F26A2-FA0F-11d5-9190-00A0249B6F00}" },
				{ CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, --Smokewinder - red
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, --Smokewinder - green
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, --Smokewinder - blue
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, --Smokewinder - white
			    { CLSID	= "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, --Smokewinder - yellow
            }
        ),
},
	
	Tasks = {
--      aircraft_task(CAP),
--     	aircraft_task(Escort),
--      aircraft_task(FighterSweep),
--		aircraft_task(Intercept),
		aircraft_task(Reconnaissance),
    	aircraft_task(GroundAttack),
--     	aircraft_task(CAS),
        aircraft_task(AFAC),
--	    aircraft_task(RunwayAttack),
    	aircraft_task(AntishipStrike),
		aircraft_task(PinpointStrike),
		aircraft_task(SEAD),
    },	
	DefaultTask = aircraft_task(GroundAttack),

	SFM_Data = {
	aerodynamics = --F15
		{
			Cy0	=	0,
			Mzalfa	=	6,
			Mzalfadt	=	1,
			kjx = 2.95,
			kjz = 0.00125,
			Czbe = -0.016,
			cx_gear = 0.0268,
			cx_flap = 0.06,
			cy_flap = 0.4,
			cx_brk = 0.06,
			table_data = 
			{
			--      M	 Cx0		 Cya		 B		 B4	      Omxmax	Aldop	Cymax
				{0.0,	0.0215,		0.055,		0.08,		0.22,	0.65,	25.0,	1.2 	},
				{0.2,	0.0215,		0.055,		0.08,		0.22,	1.80,	25.0,	1.2     },
				{0.4,	0.0215,		0.055,		0.08,	   	0.22,	3.00,	25.0,	1.2     },
				{0.6,	0.0215,		0.055,		0.05,		0.28,	4.20,	25.0,	1.2     },
				{0.7,	0.0215,		0.055,		0.05,		0.28,	4.20,	23.0,	1.15    },
				{0.8,	0.0215,		0.055,		0.05,		0.28,	4.20,	21.7,	1.1     },
				{0.9,	0.0230,		0.058,		0.09,		0.20,	4.20,	20.1,	1.07    },
				{1.0,	0.0320,		0.062,		0.17,		0.15,	4.20,	18.9,	1.04    },
				{1.1,	0.0430,		0.062,	   	0.235,		0.09,	3.78,	17.4,	1.02    },
				{1.2,	0.0460,		0.062,	   	0.285,		0.08,	2.94,	17.0,	1.00 	},		
				{1.3,	0.0470,		0.06,	   	0.29,		0.10,	2.10,	16.0,	0.92 	},				
				{1.4,	0.0470,		0.056,	   	0.3,		0.136,	1.80,	15.0,	0.80 	},					
				{1.6,	0.0470,		0.052,	   	0.34,		0.21,	1.08,	13.0,	0.7 	},					
				{1.8,	0.0460,		0.042,	   	0.34,		2.43,	0.96,	12.0,	0.55 	},		
				{2.2,	0.0420,		0.037,	   	0.49,		3.5,	0.84,	 10.0,	0.37 	},					
				{2.5,	0.0420,		0.033,		0.6,		4.7,	0.84,	 9.0,	0.3 	},		
				{3.9,	0.0400,		0.023,		0.9,		6.0,	0.84,	 7.0,	0.2		},
			}, -- end of table_data
		}, -- end of aerodynamics
		engine = 
		{
			Nmg	=	67.5,
			MinRUD	=	0,
			MaxRUD	=	1,
			MaksRUD	=	0.85,
			ForsRUD	=	0.91,
			type	=	"TurboJet",
			hMaxEng	=	19.5,
			dcx_eng	=	0.0114,
			cemax	=	1.24,
			cefor	=	2.56,
			dpdh_m	=	6000,
			dpdh_f	=	14000.0,
			table_data = {
			--   M		Pmax		 Pfor
				{0.0,	115000,		212000},
				{0.2,	 94000,		200000},
				{0.4,	 92000,		205000},
				{0.6,	103000,		207000},
				{0.7,	105000,		210000},
				{0.8,	105000,		220000},
				{0.9,	105000,		235000},
				{1.0,	107000,		250000},
				{1.1,	103000,		258000},
				{1.2,	 94000,		268000},
				{1.3,	 84000,		285000},
				{1.4,	 71000,		300000},
				{1.6,	 34000,		318000},
				{1.8,	 19000,		337000},
				{2.2,	 17000,		370000},
				{2.5,	 19000,		390000},
				{3.9,	 82000,		310000},
			}, -- end of table_data
		}, -- end of engine
	},


	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
	[0]  = {critical_damage = 5,  args = {146}},
	[1]  = {critical_damage = 3,  args = {296}},
	[2]  = {critical_damage = 3,  args = {297}},
	[3]  = {critical_damage = 8, args = {65}},
	[4]  = {critical_damage = 2,  args = {298}},
	[5]  = {critical_damage = 2,  args = {301}},
	[7]  = {critical_damage = 2,  args = {249}},
	[8]  = {critical_damage = 3,  args = {265}},
	[9]  = {critical_damage = 3,  args = {154}},
	[10] = {critical_damage = 3,  args = {153}},
	[11] = {critical_damage = 1,  args = {167}},
	[12] = {critical_damage = 1,  args = {161}},
	[13] = {critical_damage = 2,  args = {169}},
	[14] = {critical_damage = 2,  args = {163}},
	[15] = {critical_damage = 2,  args = {267}},
	[16] = {critical_damage = 2,  args = {266}},
	[17] = {critical_damage = 2,  args = {168}},
	[18] = {critical_damage = 2,  args = {162}},
	[20] = {critical_damage = 2,  args = {183}},
	[23] = {critical_damage = 5, args = {223}},
	[24] = {critical_damage = 5, args = {213}},
	[25] = {critical_damage = 2,  args = {226}},
	[26] = {critical_damage = 2,  args = {216}},
	[29] = {critical_damage = 5, args = {224}, deps_cells = {23, 25}},
	[30] = {critical_damage = 5, args = {214}, deps_cells = {24, 26}},
	[35] = {critical_damage = 6, args = {225}, deps_cells = {23, 29, 25, 37}},
	[36] = {critical_damage = 6, args = {215}, deps_cells = {24, 30, 26, 38}}, 
	[37] = {critical_damage = 2,  args = {228}},
	[38] = {critical_damage = 2,  args = {218}},
	[39] = {critical_damage = 2,  args = {244}, deps_cells = {53}}, 
	[40] = {critical_damage = 2,  args = {241}, deps_cells = {54}}, 
	[43] = {critical_damage = 2,  args = {243}, deps_cells = {39, 53}},
	[44] = {critical_damage = 2,  args = {242}, deps_cells = {40, 54}}, 
	[51] = {critical_damage = 2,  args = {240}}, 
	[52] = {critical_damage = 2,  args = {238}},
	[53] = {critical_damage = 2,  args = {248}},
	[54] = {critical_damage = 2,  args = {247}},
	[56] = {critical_damage = 2,  args = {158}},
	[57] = {critical_damage = 2,  args = {157}},
	[59] = {critical_damage = 3,  args = {148}},
	[61] = {critical_damage = 2,  args = {147}},
	[82] = {critical_damage = 2,  args = {152}},
	},
	
	DamageParts = 
	{  
		[1] = "VSN_TornadoIDS-oblomok-wing-r", -- wing R
		[2] = "VSN_TornadoIDS-oblomok-wing-l", -- wing L
--		[3] = "VSN_TornadoIDS-oblomok-noise", -- nose
--		[4] = "VSN_TornadoIDS-oblomok-tail-r", -- tail
--		[5] = "VSN_TornadoIDS-oblomok-tail-l", -- tail
	},
	
-- VSN DCS World\Scripts\Aircrafts\_Common\Lights.lua

	lights_data = { typename = "collection", lights = {
	
    [1] = { typename = "collection", -- WOLALIGHT_STROBES
					lights = {	
						--{typename  = "natostrobelight",	argument_1  = 199, period = 1.2, color = {0.8,0,0}, connector = "RESERV_BANO_1"},--R
						--{typename  = "natostrobelight",	argument_1  = 199, period = 1.2, color = {0.8,0,0}, connector = "RESERV1_BANO_1"},--L
						--{typename  = "natostrobelight",	argument_1  = 199, period = 1.2, color = {0.8,0,0}, connector = "RESERV2_BANO_1"},--H
						--{typename  = "natostrobelight",	argument_1  = 195, period = 1.2, color = {0.8,0,0}, connector = "WHITE_BEACON L"},--195
						--{typename  = "natostrobelight",	argument_1  = 196, period = 1.2, color = {0.8,0,0}, connector = "WHITE_BEACON R"},--196
						--{typename  = "natostrobelight",	argument_1  = 192, period = 1.2, color = {0.8,0,0}, connector = "BANO_0_BACK"},
						{typename  = "natostrobelight",	argument_1  = 195, period = 1.2, color = {0.8,0,0}, connector = "RED_BEACON L"},
						{typename  = "natostrobelight",	argument_1  = 196, period = 1.2, color = {0.8,0,0}, connector = "RED_BEACON R"},
							}
			},
	[2] = { typename = "collection",
					lights = {-- 1=Landing light -- 2=Landing/Taxi light
						{typename = "spotlight", connector = "MAIN_SPOT_PTR", argument = 209, dir_correction = {elevation = math.rad(-1)}},--"MAIN_SPOT_PTR_02","RESERV_SPOT_PTR"
						{typename = "spotlight", connector = "MAIN_SPOT_PTR", argument = 208, dir_correction = {elevation = math.rad(3)}},--"MAIN_SPOT_PTR_01","RESERV_SPOT_PTR","MAIN_SPOT_PTL",
							}
			},
	[3]	= {	typename = "collection",
					lights = {
							-- Left Position Light (red)
						{typename = "omnilight",connector = "BANO_1",color = {0.99, 0.11, 0.3},pos_correction  = {0.1, 0, -0.2},argument  = 190},
							-- Right Position Light (green)
						{typename = "omnilight",connector = "BANO_2",color = {0, 0.894, 0.6},pos_correction = {0.1, 0, 0.2},argument  = 191},
							-- Tail Position Light (white)
						{typename = "omnilight",connector = "BANO_0",color = {1, 1, 1},pos_correction  = {0, 0, 0},argument  = 192}}
			},				
	[4] = { typename = "collection", -- formation_lights_default
					lights = {
						{typename  = "argumentlight" ,argument  = 200,},--formation_lights_tail_1 = 200;
						{typename  = "argumentlight" ,argument  = 201,},--formation_lights_tail_2 = 201;
						{typename  = "argumentlight" ,argument  = 202,},--formation_lights_left   = 202;
						{typename  = "argumentlight" ,argument  = 203,},--formation_lights_right  = 203;
						{typename  = "argumentlight" ,argument  =  88,},--old aircraft arg 
							}
			},
--[[			
	[5] = { typename = "collection", -- strobe_lights_default
					lights = {
						{typename  = "strobelight",connector =  "RED_BEACON"  ,argument = 193, color = {0.8,0,0}},-- Arg 193, 83,
						{typename  = "strobelight",connector =  "RED_BEACON_2",argument = 194, color = {0.8,0,0}},-- (-1"RESERV_RED_BEACON")
						{typename  = "strobelight",connector =  "RED_BEACON"  ,argument =  83, color = {0.8,0,0}},-- Arg 193, 83,
							}
			},
--]]			
	}},
}

add_aircraft(VSN_TornadoIDS) --AG
